import { GetGamesDrawerBadgeStatusForAppsRequest, GetGamesDrawerBadgeStatusForAppsResponse, } from './gamesdrawerbadge_msg.js';
export class NotificationsInternalClientJSON {
    constructor(rpc) {
        this.rpc = rpc;
        this.GetGamesDrawerBadgeStatusForApps.bind(this);
    }
    GetGamesDrawerBadgeStatusForApps(request) {
        const data = GetGamesDrawerBadgeStatusForAppsRequest.toJSON(request);
        const promise = this.rpc.request('devvit.plugin.notifications.NotificationsInternal', 'GetGamesDrawerBadgeStatusForApps', 'application/json', data);
        return promise.then((data) => GetGamesDrawerBadgeStatusForAppsResponse.fromJSON(data));
    }
}
export class NotificationsInternalClientProtobuf {
    constructor(rpc) {
        this.rpc = rpc;
        this.GetGamesDrawerBadgeStatusForApps.bind(this);
    }
    GetGamesDrawerBadgeStatusForApps(request) {
        const data = GetGamesDrawerBadgeStatusForAppsRequest.encode(request).finish();
        const promise = this.rpc.request('devvit.plugin.notifications.NotificationsInternal', 'GetGamesDrawerBadgeStatusForApps', 'application/protobuf', data);
        return promise.then((data) => GetGamesDrawerBadgeStatusForAppsResponse.decode(data));
    }
}
